private ["_type", "_unit", "_fnc_BUMaddweapons", "_fnc_BUMaddmagazines", "_magazines", "_fnc_BUMCheckAddBackpack","_fnc_BUMaddMedicalSupplies"];

//["MG",this] call compile preprocessFileLineNumbers "AAFgear.sqf"; Kutsu näin

_type = _this select 0;
_unit = _this select 1;

if (!(local _unit)) exitwith {}; // Todella tärkeä. Estää skriptin pyörimisen ei locaaleilla uniteilla

if (_unit isKindof "Man") then
{
	removeBackpack _unit;
	removeGoggles _unit;
	removeAllWeapons _unit;
	//_unit removeweapon "itemradio";
	_unit removeweapon "ItemGPS";
	//_unit addweapon "ACE_NVG_Gen4";
	_unit additem "ACE_EarPlugs";
	_unit linkItem "tf_microdagr";
	_unit addweapon "ACE_NVG_Gen4";
	_unit addweapon "Binocular";
};

if (_unit isKindof "LandVehicle" || _unit isKindof "Air" || _unit isKindOf "Ship" || _unit isKindOf "Static") then
{
	clearWeaponCargoglobal _unit;
	clearItemCargoGlobal _unit;
	clearMagazineCargoglobal _unit;
	_unit disableTIEquipment true;
	_unit setVariable ["tf_side", "west", true];
	_unit setVehicleLock "UNLOCKED";
	_unit setVariable ["AFI_vehicle_gear","west",true];
};

if (_unit isKindOf "thing") then
{
    _unit setVariable ["AFI_vehicle_gear","west",true];
};

_fnc_BUMaddweapons = {

	//Adds weapons from list
	//Params [unit,[ListOfWeapons] call _fnc_BUMaddweapons;

	private ["_items", "_unit"];
	_unit = _this select 0;
	_items = _this select 1;
	{_unit addweapon _x;} Foreach _items;
};

_fnc_BUMaddmagazines = {

	//Adds list of magazines
	//Params [unit,[[MagazineClassname,count],[MagazineClassname,count],...]] call _fnc_BUMaddmagazines;

	private ["_item", "_unit", "_elements", "_count"];
	_unit = _this select 0;
	_elements = _this select 1;
	{
		_item = _x select 0;
		_count = _x select 1;
		_unit addmagazines [_item,_count];
	} Foreach _elements;
};

_fnc_BUMCheckAddBackpack = {

	//Run before adding rockets, adds an Backpack if Unit does not have one already
	//Params [unit,"BackpackClassName"] call _fnc_BUMCheckAddBackpack;

	private ["_PackToAdd", "_unit"];
	_unit = _this select 0;
	_PackToAdd = _this select 1;

	If (Backpack _unit == "") then {_unit addbackpack _PackToAdd};

};

_fnc_BUMaddMedicalSupplies = {

	//Add Xmedsys Medical supplies
	//Params [unit, mode] call _fnc_BUMaddMedicalSupplies;
	//mode can be "Soldier","medic"
	//medic must have backpack

	private ["_mode", "_unit", "_supplies"];
	_unit = _this select 0;
	_mode = _this select 1;

	Switch (_mode) do {

		case "Soldier":
		{
			_supplies = [["ACE_fieldDressing",6],["ACE_morphine",2]];

			{
				_item = _x select 0;
				_count = _x select  1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};


		case "medic":
		{
			_supplies = [["ACE_fieldDressing",20],["ACE_morphine",10],["ACE_bloodIV_500",4],["ACE_epinephrine",5]];

			{
				_item = _x select 0;
				_count = _x select 1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};
	};
};


_weapon = ["rhs_weap_m4_carryhandle",
			"rhs_weap_m4_carryhandle_pmag",
			"rhs_weap_m4a1_carryhandle",
			"rhs_weap_m4a1_carryhandle_grip2",
			"rhs_weap_m4a1_carryhandle_pmag",
			"rhs_weap_m4a1_carryhandle_grip",
			"rhs_weap_m16a4_carryhandle",
			"rhs_weap_m16a4_carryhandle_grip",
			"rhs_weap_m16a4_carryhandle_grip_pmag",
			"rhs_weap_m16a4_carryhandle_pmag"] call BIS_fnc_selectRandom;

_gl = ["rhs_weap_m16a4_carryhandle_M203",
			"rhs_weap_m4a1_carryhandle_m203",
			"rhs_weap_m4a1_carryhandle_m203S"] call BIS_fnc_selectRandom;

_aim = ["rhsusf_acc_ACOG",
			"rhsusf_acc_eotech_552",
			"rhsusf_acc_compm4",
			"",
			"",
			"",
			"",
			"",
			"rhsusf_acc_eotech_552",
			"rhsusf_acc_compm4",
			"optic_MRCO",
			"optic_Hamr",
			"rhsusf_acc_eotech_552",
			"rhsusf_acc_compm4",
			"rhsusf_acc_ACOG3_USMC",
			"rhsusf_acc_ACOG2_USMC",
			"rhsusf_acc_ACOG_USMC"] call BIS_fnc_selectRandom;

_Maim = ["optic_Hamr",
			"",
			"",
			"",
			"optic_MRCO",
			"rhsusf_acc_compm4",
			"rhsusf_acc_eotech_552",
			"rhsusf_acc_ELCAN",
			"rhsusf_acc_ACOG",
			"rhsusf_acc_compm4",
			"rhsusf_acc_eotech_552",
			"rhsusf_acc_ACOG_USMC"] call BIS_fnc_selectRandom;

//		_unit addWeapon _weapon;
//		_unit addPrimaryWeaponItem _aim;
//		_unit addPrimaryWeaponItem  "rhs_mag_30Rnd_556x45_M855A1_Stanag";


switch (_type) do
{
		Case "Pl":
	{
		[_unit, "tf_rt1523g_big_bwmod_tropen"] call _fnc_BUMCheckAddBackpack;
		_items = ["ACE_Vector", _weapon];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addPrimaryWeaponItem _aim;
		[_unit, "Soldier"] call _fnc_BUMaddMedicalSupplies;
		_unit additem "ACE_microDAGR";
	};

			Case "Pl1":
	{
		[_unit, "tf_rt1523g_big_bwmod_tropen"] call _fnc_BUMCheckAddBackpack;
		_items = ["ACE_Vector", _weapon];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2],["rhs_30Rnd_545x39_AK",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addPrimaryWeaponItem _aim;
		[_unit, "Soldier"] call _fnc_BUMaddMedicalSupplies;
		_unit additem "ACE_microDAGR";
		_unit addItemToBackpack "rhs_weap_ak74m_folded";
	};

	Case "Sl":
	{
		[_unit, "tf_rt1523g_big_bwmod_tropen"] call _fnc_BUMCheckAddBackpack;
		_items = ["ACE_Vector",_weapon];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15";
		_unit addPrimaryWeaponItem _aim;
		_unit additem "ACE_microDAGR";
	};

	Case "Tl":
	{
		_items = [ _gl];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2],["rhs_mag_M433_HEDP",5],["rhs_mag_M441_HE",5],["1Rnd_Smoke_Grenade_shell",10]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15";
		_unit addPrimaryWeaponItem _aim;
		_unit additem "ACE_microDAGR";
	};

	Case "MG":
	{
		[_unit, "B_AssaultPack_cbr"] call _fnc_BUMCheckAddBackpack;
		_items = ["rhs_weap_m240B"];
		_magazines = [["rhsusf_100Rnd_762x51",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_ACOG2_USMC";
	};


	Case "MGA":
	{
		[_unit, "B_AssaultPack_cbr"] call _fnc_BUMCheckAddBackpack;
		_items = [_weapon];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2],["rhsusf_100Rnd_762x51",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addPrimaryWeaponItem _aim;
	};

		Case "Rif":
	{

		_items = [_weapon];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",6],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addPrimaryWeaponItem _aim;
	};
		Case "heli":
	{

		_items = [_weapon];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};
		Case "crew":
	{

		_items = [_weapon];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};
		Case "M27":
	{

		_items = ["rhs_weap_m27iar_bipod_acog_usmc"];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",10],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",5]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		//nit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		//nit addPrimaryWeaponItem _aim;
	};

		Case "RIFM136":
	{

		_items = [_weapon,"tf47_at4_heat"];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",6],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addPrimaryWeaponItem _aim;
	};


		Case "AR":
	{
		[_unit, "B_AssaultPack_cbr"] call _fnc_BUMCheckAddBackpack;
		_items = ["rhs_weap_m249_pip_S"];
		_magazines = [["rhsusf_100Rnd_556x45_soft_pouch",5]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem _Maim;
	};


	Case "ARA":
	{
		[_unit, "B_AssaultPack_cbr"] call _fnc_BUMCheckAddBackpack;
		_items = [_weapon];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2],["rhsusf_100Rnd_556x45_soft_pouch",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addPrimaryWeaponItem _aim;
	};

		Case "MARK":
	{
		[_unit, "B_AssaultPack_cbr"] call _fnc_BUMCheckAddBackpack;
		_items = ["rhs_weap_sr25_usmc"];
		_magazines = [["rhsusf_20Rnd_762x51_m118_special_Mag",8]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_LEUPOLDMK4_2";
		_unit addPrimaryWeaponItem "rhsusf_acc_harris_bipod";
		_unit addItem "ACE_RangeCard";
	};

		Case "MEDIC":
	{
		[_unit, "B_AssaultPack_cbr"] call _fnc_BUMCheckAddBackpack;
		_items = [_weapon];
		_magazines = [["rhs_mag_30Rnd_556x45_M855A1_Stanag",4],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2],["rhs_mag_an_m8hc",2],["rhs_mag_m18_red",2],["rhs_mag_m18_purple",2],["rhs_mag_m18_green",2],["rhs_mag_m18_yellow",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "medic"] Call _fnc_BUMaddMedicalSupplies;
		_unit addPrimaryWeaponItem "rhsusf_acc_anpeq15side";
		_unit addPrimaryWeaponItem _aim;
	};



	/////////
	//Autot//
	/////////


	Case "Vaunu": //perus
	{
		_unit addMagazineCargoGlobal ["rhsusf_8Rnd_00Buck",5];
		_unit addMagazineCargoGlobal ["rhsusf_8Rnd_Slug",5];
		_unit addMagazineCargoGlobal ["rhsusf_100Rnd_556x45_soft_pouch", 5];
		_unit addMagazineCargoGlobal ["rhsusf_100Rnd_762x51", 5];
		_unit addMagazineCargoGlobal ["rhsusf_20Rnd_762x51_m118_special_Mag", 10];
		_unit addMagazineCargoGlobal ["rhs_mag_30Rnd_556x45_M855A1_Stanag", 10];
		_unit addMagazineCargoGlobal ["rhs_mag_an_m8hc",10];
		_unit addMagazineCargoGlobal ["rhs_mag_m18_red",5];
		_unit addMagazineCargoGlobal ["rhs_mag_m18_purple",5];
		_unit addMagazineCargoGlobal ["rhs_mag_m18_green",5];
		_unit addMagazineCargoGlobal ["rhs_mag_m18_yellow",5];
		_unit addMagazineCargoGlobal ["rhs_mag_m67",5];
		_unit addMagazineCargoGlobal ["rhs_mag_M433_HEDP",5];
		_unit addMagazineCargoGlobal ["rhs_mag_M441_HE",5];
		_unit addMagazineCargoGlobal ["1Rnd_Smoke_Grenade_shell",10];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeBlue_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeGreen_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeOrange_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokePurple_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeRed_Grenade_shell",5];
		_unit addMagazineCargoGlobal ["1Rnd_SmokeYellow_Grenade_shell",5];
		_unit addItemCargoGlobal ["ACE_wirecutter",1];
		_unit addItemCargoGlobal ["ACE_morphine",5];
		_unit addItemCargoGlobal ["ACE_epinephrine",5];
		_unit addItemCargoGlobal ["ACE_bodyBag",10];
		_unit addItemCargoGlobal ["ACE_bloodIV_500",5];
		_unit addItemCargoGlobal ["ACE_fieldDressing",20];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",110];
	};

		Case "Banana": //perus
	{
		_unit addItemCargoGlobal ["ACE_Banana",2000];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",200];
	};

		Case "Laatikko":
	{
		clearWeaponCargoglobal _unit;
		clearItemCargoGlobal _unit;
		clearMagazineCargoglobal _unit;
		_unit addMagazineCargoGlobal ["rhsusf_8Rnd_00Buck",5];
		_unit addMagazineCargoGlobal ["rhsusf_8Rnd_Slug",5];
		_unit addMagazineCargoGlobal ["rhsusf_100Rnd_556x45_soft_pouch", 3];
		_unit addMagazineCargoGlobal ["rhsusf_100Rnd_762x51", 3];
		_unit addMagazineCargoGlobal ["rhsusf_20Rnd_762x51_m118_special_Mag", 10];
		_unit addMagazineCargoGlobal ["rhs_mag_30Rnd_556x45_M855A1_Stanag", 8];
		_unit addMagazineCargoGlobal ["rhs_mag_an_m8hc",9];
		_unit addMagazineCargoGlobal ["rhs_mag_m67",8];
		_unit addMagazineCargoGlobal ["rhs_mag_M441_HE",7];
		_unit addMagazineCargoGlobal ["1Rnd_Smoke_Grenade_shell",8];
		_unit addItemCargoGlobal ["ACE_wirecutter",1];
		_unit addItemCargoGlobal ["ACE_morphine",15];
		_unit addItemCargoGlobal ["ACE_epinephrine",10];
		_unit addItemCargoGlobal ["ACE_bodyBag",10];
		_unit addItemCargoGlobal ["ACE_bloodIV_500",5];
		_unit addItemCargoGlobal ["ACE_fieldDressing",20];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",2000];
	};

};


if (_unit isKindof "Man") then
{
	_items = ["rhsusf_weap_m9"];
	_magazines = [["rhsusf_mag_15Rnd_9x19_FMJ",3],["rhs_mag_m67",3],["rhs_mag_an_m8hc",5],["rhs_mag_m18_red",1],["rhs_mag_m18_purple",1],["rhs_mag_m18_green",1],["Chemlight_Blue",5],["rhs_mag_m18_yellow",1]];
	[_unit, _magazines] Call _fnc_BUMaddmagazines;
	[_unit, _items] Call _fnc_BUMaddweapons;
};

